:- [data].
%Rekursionsabschluss
choose_player(0,[]).
%Rekursionsschritt
choose_player(Count,[P|LayerList]):-
	Count > 0,
	Count1 is Count - 1,
	new(PButton,button(P)),
	active(_,_,P,_,_,_),
	assert(chooseTaoist(PButton,P)),
	send(PButton,colour,P),
	send(PButton,message,message(@prolog,remove_player_window,PButton)),
	send(@playerwindow,append,PButton,right),
	choose_player(Count1,LayerList).

	       
remove_player_window(Button):-
	chooseTaoist(Button,Color),
	send(@statuslabel,value,''),
	return_choose_player(Color),
	free(@playerwindow).
